如何修复在Eclipse上的Eclipse 3.5.1加载插件?

我有两个Linux的盒子。 两个Fedora 11 x64。

一方面,我下载了eclipse-java-galileo-SR1-linux-gtk-x86_64.tar.gz。 我将它解压到/opt/eclipse-3.5.1/,并使用Install New Software …项目来安装SVN团队提供者和Polarion SVN连接器。 一切正常。

第二,我拷贝了用于eclipse的tar.gar,然后试图按照相同的步骤。 当我到达SVN团队提供的安装时,eclipse下载并声称安装它并要求重新启动。 我重新启动,没有SVN支持。 软件安装程序知道它在那里,因为我不能不卸载它重新安装它。

所以问题:为什么不是SVN团队支持的插件/function加载? 有没有一个checkbox,我忘了这使插件? 是否有一个命令行选项将强制重新加载磁盘上的所有function? 我试图安装findbugs等其他东西,但我得到了相同的结果。

我在日志文件中没有消息指出exception或类似的东西。

Solutions Collecting From Web of "如何修复在Eclipse上的Eclipse 3.5.1加载插件?"

我解决了这个问题。

选择Install New Software...

在弹出的对话框中,取消选中Contact all update sites during install to find required software的框Contact all update sites during install to find required software

然后继续安装findbugs,颠覆连接器和SVN团队提供者。

当我没有取消选中该框时,更新程序总是安装一个已安装的Mylyn插件的小集合。 然后,除了初始安装的一部分之外,没有安装的插件可以工作。

编辑:显然我不是一个人有这个麻烦。 如果我能找到bugreport,我会添加链接,但这里是在eclipse论坛上的讨论 。